﻿using System;
using System.Web.Mvc;

namespace OPS_AdvancedExample_ASP.Controllers
{
    public class RouteCallsController : Controller
    {
        [HttpPost]
        public ActionResult RouteCall(string notificationName, string callerID, string originalDialedNumber, string lastDialedNumber, string lastCalledExtension, string lastCallState, string callerExtension)
        {
            var destinattion = lastDialedNumber;

            // In the weekends all the calls are routed to the "weekend number"
            if (DateTime.Now.DayOfWeek == DayOfWeek.Saturday || DateTime.Now.DayOfWeek == DayOfWeek.Sunday)
                destinattion = "12345";

            // The officer with 883 telephone number is on day off, route all his calls to another officer
            if (lastDialedNumber == "1001")
                destinattion = "883";

            return Content(
            "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" +
            "<Response>" +
                "<Route RingTime = \"30\" Destination=\"" + destinattion + "\"/>" +
            "</Response>","text/xml");
        }
    }
}
